jQuery(document).ready(function($) {

	// add new row
	$('button#add_row').on('click', function(e) {
        e.preventDefault();
        console.log('pre');
    });

	// remove a row
    $('body').on('click', 'span.remove-row', function(e) {
        e.preventDefault();
        console.log('pre');
    });

    $('body').on('change', 'select.select-category', function(e) {
    	e.preventDefault();
    	var selectedCategory = $(this).val();
    	var parentTr  = $(this).parents('tr');
        $('.loader').addClass('active');

    	$.ajax({
            type: 'POST',
            url: beebogo.ajax_url,
            data: {
                action: 'beebogo_get_prodcuts_by_cat',
                cat: selectedCategory,
                nonce: beebogo.nonce,
            },
            success: function(response) {
            	parentTr.find('select.select-products').empty();
            	parentTr.find('select.select-products').val(null).trigger('change');
            	parentTr.find('select.select-products').append(response.data);
                $('.loader').removeClass('active');
            },
            error: function(errorThrown) {
                // Handle errors
                console.log(errorThrown);
            }
        });
    });

    $('select.select-products').select2();
});