<?php
/**
 * Plugin Name: Bee BOGO
 * Plugin URI: https://www.beeplugin.com/bogo-deals-woocommerce-discount/
 * Version: 1.0
 * Description: Bee BOGO for WooCommerce is a powerful plugin designed to enhance your WooCommerce store by offering a seamless Buy One, Get One (BOGO) experience for your customers.
 * Author: BeePlugins
 * Author URI: https://www.beeplugin.com
 * Text Domain: bee_bogo
 * Domain Path: languages
 * License: GPLv2 or later
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 **/

// No direct file access
if ( ! defined( 'ABSPATH' ) ) exit; 

if( !defined('BeeBOGOF_FILE') ) {
	define('BeeBOGOF_FILE', __FILE__);
}

if( !defined('BeeBOGOF_PATH') ) {
	define('BeeBOGOF_PATH', plugin_dir_path(__FILE__));
}

if( !defined('BeeBOGOF_BASE') ) {
	define('BeeBOGOF_BASE', plugin_basename(__FILE__));
}

if( !defined('BeeBOGOF_URL') ) {
	define('BeeBOGOF_URL', plugin_dir_url( __FILE__ ));
}

if( !defined('BeeBOGOF_Version') ) {
	define('BeeBOGOF_Version', '1.0');
}

require BeeBOGOF_PATH . 'includes/class-bee-bogo-loader.php';
$BeeBOGOF_Loader = new BeeBOGOF_Loader();